Preferences dialog window too small

Bug #1251059 reported by Ken Sharp on 2013-11-13
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mozilla Thunderbird
Unknown
Unknown
thunderbird (Ubuntu)
Low
Unassigned

Bug Description

When replying to an e-mail a dialog sometimes pops up asking if you want to send the mail Plain Text or HTML. This dialog doesn't fit its own window. See the attached screenshot.

Using Gnome 2.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: thunderbird 1:24.1.0+build1-0ubuntu0.12.04.1
ProcVersionSignature: Ubuntu 3.8.0-32.47~precise1-generic 3.8.13.10
Uname: Linux 3.8.0-32-generic x86_64
NonfreeKernelModules: wl
AddonCompatCheckDisabled: False
AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.8.0-32-generic.
ApportVersion: 2.0.1-0ubuntu17.6
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: SB [HDA ATI SB], device 0: ALC272X Analog [ALC272X Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ken 8740 F.... pulseaudio
 /dev/snd/controlC0: ken 8740 F.... pulseaudio
BuildID: 20131028131509
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xd2300000 irq 16'
   Mixer name : 'Realtek ALC272X'
   Components : 'HDA:10ec0272,1025036e,00100001'
   Controls : 24
   Simple ctrls : 11
Card1.Amixer.info:
 Card hw:1 'HDMI'/'HDA ATI HDMI at 0xd2210000 irq 19'
   Mixer name : 'ATI RS690/780 HDMI'
   Components : 'HDA:1002791a,00791a00,00100000'
   Controls : 6
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Channel: Unavailable
Date: Wed Nov 13 23:08:17 2013
ForcedLayersAccel: False
IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 12.04.3 LTS "Precise Pangolin" - Release amd64 (20130820.1)
IpRoute:
 default via 192.168.0.254 dev eth1 proto static
 169.254.0.0/16 dev eth1 scope link metric 1000
 192.168.0.0/24 dev eth1 proto kernel scope link src 192.168.0.4 metric 2
MarkForUpload: True
Plugins: iTunes Application Detector - /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so (rhythmbox-mozilla)
PrefSources: prefs.js
ProcEnviron:
 LANGUAGE=en_GB:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
Profiles: Profile0 (Default) - LastVersion=24.1.0/20131028131509 (In use)
RelatedPackageVersions: rhythmbox-mozilla 2.96-0ubuntu4.3
RunningIncompatibleAddons: False
SourcePackage: thunderbird
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/27/2011
dmi.bios.vendor: Acer
dmi.bios.version: V2.14
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: JE50_DN
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V2.14
dmi.modalias: dmi:bvnAcer:bvrV2.14:bd07/27/2011:svnAcer:pnAspire5551:pvrV2.14:rvnAcer:rnJE50_DN:rvrBaseBoardVersion:cvnAcer:ct10:cvrV2.14:
dmi.product.name: Aspire 5551
dmi.product.version: V2.14
dmi.sys.vendor: Acer
---
AddonCompatCheckDisabled: False
ApportVersion: 2.20.1-0ubuntu2.18
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC0D0p: ken 3331 F...m pulseaudio
 /dev/snd/controlC0: ken 3331 F.... pulseaudio
BuildID: 20180522092743
Channel: Unavailable
CurrentDesktop: MATE
DistroRelease: Ubuntu 16.04
ForcedLayersAccel: False
IncompatibleExtensions:
 English (GB) Language Pack - <email address hidden>
 Thunderbird (default) - {972ce4c6-7e08-4474-a285-3208198ce6fd}
IpRoute:
 default via 192.168.0.1 dev eth2 proto dhcp src 192.168.0.13 metric 1024
 10.0.3.0/24 dev lxcbr0 proto kernel scope link src 10.0.3.1 linkdown
 192.168.0.0/24 dev eth2 proto kernel scope link src 192.168.0.13
 192.168.0.1 dev eth2 proto dhcp scope link src 192.168.0.13 metric 1024
IwConfig:
 lxcbr0 no wireless extensions.

 eth2 no wireless extensions.

 lo no wireless extensions.
MostRecentCrashID: bp-dc69d4dc-9e6c-4f63-9c3b-9ed2a0180624
Package: thunderbird 1:52.8.0+build1-0ubuntu0.16.04.1
PackageArchitecture: i386
PrefSources:
 prefs.js
 [Profile]/<email address hidden>/defaults/preferences/mintrayr.js
 /usr/lib/thunderbird/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/defaults/preferences/lightning.js
 /usr/lib/thunderbird/extensions/{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}/defaults/preferences/preferences.js
ProcVersionSignature: Ubuntu 4.15.0-24.26~16.04.1-generic 4.15.18
Profiles: Profile0 (Default) - LastVersion=52.8.0/20180522092743 (In use)
RfKill: Error: [Errno 2] No such file or directory
RunningIncompatibleAddons: True
Tags: third-party-packages xenial
Uname: Linux 4.15.0-24-generic i686
UpgradeStatus: Upgraded to xenial on 2017-11-14 (240 days ago)
UserGroups: adm admin audio cdrom debian-tor dialout dip fax floppy fuse lp lpadmin plugdev sambashare scanner sudo tape video wireshark
_MarkForUpload: True
dmi.bios.date: 09/27/2004
dmi.bios.vendor: Dell Computer Corporation
dmi.bios.version: A07
dmi.board.name: 0W2562
dmi.board.vendor: Dell Computer Corp.
dmi.chassis.type: 6
dmi.chassis.vendor: Dell Computer Corporation
dmi.modalias: dmi:bvnDellComputerCorporation:bvrA07:bd09/27/2004:svnDellComputerCorporation:pnDimension8300:pvr:rvnDellComputerCorp.:rn0W2562:rvr:cvnDellComputerCorporation:ct6:cvr:
dmi.product.name: Dimension 8300
dmi.sys.vendor: Dell Computer Corporation

Ken Sharp (kennybobs) wrote :
Ken Sharp (kennybobs) on 2013-12-14
tags: added: needs-design testcase
gf (gf-interlinks) wrote :

Hello Ken,
Thank you for submitting this bug and reporting a problem with size of dialog box in Thunderbird. You made this bug report in 2013 and there have been several versions of Ubuntu and Thunderbird since then.

Could you confirm that this is no longer a problem and that we can close the ticket?
If it is still a problem, are you still interested in finding a solution to this bug?
If you are, could you run the following (only once):
apport-collect 1251059
and upload the updated logs and and any other logs that are relevant for this particular issue.

Thank you again for helping make Ubuntu and Thunderbird better.
G

Changed in thunderbird (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected third-party-packages xenial
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

I can't recreate the original dialog but as can be seen from the attached screenshot: the same problem is visible in the preferences window.

Since filing this report I have moved to Xenial and MATE.

Changed in thunderbird (Ubuntu):
status: Incomplete → New
tags: added: i386
Ken Sharp (kennybobs) wrote :
gf (gf-interlinks) on 2018-07-13
Changed in thunderbird (Ubuntu):
status: New → Incomplete
status: Incomplete → New
gf (gf-interlinks) wrote :

Hi Ken,
Yes, you are right. In my Thunderbird, I can see that the preferences window is too small for the content, too.
I will work on next steps (finding duplicates, status change).
Thanks again
:)
G

summary: - "HTML Mail Question" dialog doesn't fit
+ Preference dialog window doesn't fit
summary: - Preference dialog window doesn't fit
+ Preferences dialog window doesn't fit

Hi Ken,
I found a duplicate report in the Mozilla "Bugzilla" website and it provides a solution.
https://bugzilla.mozilla.org/show_bug.cgi?id=502371

To quote comment number 3:
"This may be specific to the locale based on any strings being longer than in the en-US version. The other option may be that your DPI value is wrong and thus the fonts larger than intended. If you go into the Advanced > Config Editor preference settings, find layout.css.dpi and set it to a default of 96 by double-clicking on that entry. If this doesn't work, reduce that value to shrink the sizes. I've seen cases where KDE passed a wrong DPI value down to Thunderbird and therefore caused issues with the dialog display."

Attached is the screen print of my DPI settings before I changed it and you can see that it is set to "-1"

I will attach another screenshot to the next comment, of the settings after I changed it to 96. And the new setting makes the items in my preferences window smaller and so now everything fits in the window.
Will you try it?
Thanks
G

gf (gf-interlinks) wrote :

Here is the screen shot after the change.

summary: - Preferences dialog window doesn't fit
+ Preferences dialog window doesn't fit (too small)
summary: - Preferences dialog window doesn't fit (too small)
+ Preferences dialog window too small
Ken Sharp (kennybobs) wrote :

My locale is en_GB so there should be very little difference to en_US. I tried en_US nonetheless and the result is the same.

I tried various DPI settings but they all made no difference. I've never used KDE.

The Mozilla bug is ancient so I'd be surprised if the code isn't vastly different since then.

I'm amazed nobody else seems to have the issue. I haven't changed anything from the default install other than screen resolution, which also doesn't make a difference.

Given the shape of the window I suspect it is something other than locale/text that is the issue. I wonder if it is related to libgtk2.0. The original bug against Gnome 2, and now against MATE, both rely on libgtk2, but Thunderbird now relies on libgtk3. However: that's all a guess and I would expect other apps to be affected. I tried Firefox but they appear to have done away with dialog windows in favour of web pages.

Changed in thunderbird (Ubuntu):
importance: Undecided → Low
gf (gf-interlinks) wrote :

Hi Ken,
The bug team suggest that I create a ticket again on the Mozilla Bugzilla website (since the other ticket is closed).
Can you tell me what version of Thunderbird you have?
I just got upgraded to 52.9.1 and I can't replicate the problem anymore. I tried changing my dpi setting back to "-1" as it was originally but the preferences window still looks fine.
Thanks
G

gf (gf-interlinks) wrote :

Hi Ken. I just realized that the workaround of changing the DPI setting did NOT work for me either.
I was looking at the advanced tab (which looks fine).
The general tab still has things to big to fit the window.
I am creating the bug upstream on Mozilla Bugzilla now.
Thanks
G

Changed in thunderbird (Ubuntu):
status: New → Confirmed
gf (gf-interlinks) wrote :

Original Mozilla Bug (502371) is closed. Was advised by bdmurray of the bug team to open another Mozilla Bugzilla bug. New bug ID is: 1476478.

gf (gf-interlinks) wrote :

Original bugzilla bug (501371) has been closed. Was advised by bdmurray of the Ubuntu bug team to create a new bug on the Mozilla Bugzilla site. New bug ID is: 1476478

gf (gf-interlinks) wrote :

Hi Ken,
I have created an "upstream" bug report at the Thunderbird/Mozilla bug report site called Bugzilla. And I have linked that bug report to this one.

Here is the link to the other report:
https://bugzilla.mozilla.org/show_bug.cgi?id=1476478

This is as far as I can go on this ticket. I hope they action it soon.
Hope you are well.
G

tags: added: bionic
gf (gf-interlinks) wrote :

Hello Ken.
I tested this in Thunderbird version 60.
General tab of Preference window is OK but now the ADVANCED tab has the problem of text and buttons being cut off on the right side of the window.
I have updated the Mozilla ticket with additional comments and screen shots.
Take care
:)
G

gf (gf-interlinks) wrote :

Hi Ken,
The Mozilla team have made several comments on the upstream bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=1476478

They are able to replicate your issue and seem to have isolated the problem.

In the meantime, they suggest to resize the window of the general tab, making it slightly wider. Are you able to do that?

Thanks
G

gf (gf-interlinks) wrote :

Hi Ken,
Can you try it again to see if it is still a problem?
I am unable to replicate it anymore and the Mozilla team have closed the bug report at their end.
Is it resolved for you, Ken?
Thanks
G

Changed in thunderbird (Ubuntu):
status: Confirmed → Incomplete
Ken Sharp (kennybobs) wrote :

It is possible to resize the dialog here but I think it depends on your WM.

No fix has arrived here on Xenial. I'll check Bionic asap and report back.

gf (gf-interlinks) wrote :

Thanks for the update, Ken. And just to confirm, which window do you have a problem with? Is it the general tab or the adanced tab.
What do you mean by "WM"?
Thanks
G

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.